org.apache.ignite.internal.visor.node

## Class VisorNodeRestartTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<Void,Void,Void>
  - - org.apache.ignite.internal.visor.node.VisorNodeRestartTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Void>,Void>

    @GridInternal
    public class VisorNodeRestartTask
    extends VisorMultiNodeTask<Void,Void,Void>

Restarts nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeRestartTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.node.VisorNodeRestartTask.VisorNodesRestartJob` `job(Void arg)`
`protected Void` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodeRestartTask

    public VisorNodeRestartTask()

### Method Detail

#### reduce0

    @Nullable
    protected Void reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<Void,Void,Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

#### job

    protected org.apache.ignite.internal.visor.node.VisorNodeRestartTask.VisorNodesRestartJob job(Void arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Void,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017